Subject: bug#46556: 27.1; transparent images are displayed incorrectly if rotated

From: Alan Third <[email-masked]>
Date: Tue, 16 Feb 2021 21:24:24 +0000

On Tue, Feb 16, 2021 at 02:10:43PM +0100, Lars Ingebrigtsen wrote:
> [email-masked] writes:
> 
> > The form below displays same images with different rotation, different
> > format.
> 
> In Emacs 28, I get the following with the test case:
> 

> 
> This is on Debian bullseye.
> 
> In Emacs 27, I get something very different:
> 

> 
> Which looks all kinds of wrong, so this has changed quite a bit since
> Emacs 27.

The only difference between the two is that on X with Emacs 28 we use
nearest neighbour filtering on image scale up instead of some
smoothing algorithm.

> Would it be possible for you to test with Emacs 28 and see whether the
> problem you report (on Windows) is still present there?

It does sound like something must be going wrong on Windows.
Unfortunately I don't know what that could be because, as I said on
the other bug report, NS and Windows use the same rotation logic, and
NS is fine, so it must be when it comes to actually drawing that the
problem manifests.

-- 
Alan Third